<?php 
class UnpublishedModel extends Model {
	function getTotalRecordCount()
	{
		$result = $this->sqlCalcFoundRows();
		return $result;
	}
	
	function getMagazineList($data_array)
	{
		$data_array = escapeSpecialCharacters($data_array);
		$sql = "select SQL_CALC_FOUND_ROWS  m.*, count(p.id) as pages from magazines as m left join pages as p on m.id = p.fk_magazines_id where 1 ";
		
		if(isset($data_array['status']) && $data_array['status'] != '')
			$sql .=" and m.is_published=".$data_array['status']." ";
		/*
		if(isset($data_array['pastor_name_filter']) && $data_array['pastor_name_filter'] != '')
			$sql .=	" and pastor_name like '%".$data_array['pastor_name_filter']."%' ";
		if(isset($data_array['church_name_filter']) && $data_array['church_name_filter'] != '')
			$sql .=	" and church_name like '%".$data_array['church_name_filter']."%' ";
		if(isset($data_array['church_address_filter']) && $data_array['church_address_filter'] != ''){
			$sql .=	" and (church_address1 like '%".$data_array['church_address_filter']."%' or church_address2 like '%".$data_array['church_address_filter']."%' or church_city like '%".$data_array['church_address_filter']."%' or church_state like '%".$data_array['church_address_filter']."%' or church_zip like '%".$data_array['church_address_filter']."%') ";
		}
		*/

		$sql .="  group by m.year, m.month ";
		$sql.=	" limit ".(($data_array['curpage']-1)*$data_array['perpage']).",".$data_array['perpage'];
		// die($sql);
		$result = 	$this->sqlQueryArray($sql);
		if (count($result) == 0) return false;
		return $result;
	}
	function getMagazinePageCount($magazineIds) {
		
		$sql = "select count(id) as pagecount, fk_magazines_id from pages where fk_magazines_id in (".$magazineIds.") group by fk_magazines_id";

		$result = 	$this->sqlQueryArray($sql);
		if (count($result) == 0) return false;
		return $result;
	}
	function image_upload($width,$height,$files,$post,$folder,$page_number, $published = 0){
		$maxDimW = $width;
		$maxDimH = $height;
		$path_parts = pathinfo($files["image_input"]["name"]);
		$extension = $path_parts['extension'];
		
		if($published == 0)
			$destin_path = "uploads/".$post['year']."/".$post['month']."/content/";
		else if($published == 1)
			$destin_path = "../content/";
		
		// list($width, $height, $type, $attr) = getimagesize( $files['image_input']['tmp_name'] );
		list($width, $height, $type, $attr) = getimagesize( $destin_path."original/page".$page_number.".".$extension );
		// if($_SERVER['REMOTE_ADDR'] == '172.21.4.135'){ echo 'line no.: '.__LINE__.' filename: '.__FILE__.'<pre>';print_r($width);print_r($height);print_r($type);print_r($attr);echo'</pre>'; }
		

		createUploadDirectory($destin_path.$folder,0777,true);
		
		if ( $width >= $maxDimW || $height >= $maxDimH ) {
			if($folder == 'thumbs' && $published == 0){
				
				$target_filename = $destin_path.$folder."/thumb".$page_number.".".$extension;
			}
			elseif($folder == 'thumbs' && $published == 1){
				
				$target_filename = $destin_path.$folder."/thumb".$page_number.".".$extension;
			}else{
				
				$target_filename = $destin_path.$folder."/page".$page_number.".".$extension;
			}
			
			$fn = $destin_path."original/page".$page_number.".".$extension;
			
			$size = getimagesize( $fn );
			// if($_SERVER['REMOTE_ADDR'] == '172.21.4.135'){ echo 'line no.: '.__LINE__.' filename: '.__FILE__.'<pre>';print_r($size);echo'</pre>'; }
			
			$ratio = $size[0]/$size[1]; // width/height
			/* if( $ratio > 1) {
				$width = $maxDimW;
				$height = $maxDimH/$ratio;
			} else {
				$width = $maxDimW*$ratio;
				$height = $maxDimH;
			} */
			$width = $maxDimW;
			$height = $maxDimH;
			$src = imagecreatefromstring(file_get_contents($fn));
			$dst = imagecreatetruecolor( $width, $height );
			imagecopyresampled($dst, $src, 0, 0, 0, 0, $width, $height, $size[0], $size[1] );

			imagejpeg($dst, $target_filename); // adjust format as needed
		}

		move_uploaded_file($files['image_input']['tmp_name'],$target_filename);
	}
	
	function addPage($post)
	{
		$post = escapeSpecialCharacters($post);
		
		$get_page_count = "select SQL_CALC_FOUND_ROWS max(p.page_number) as page_number from pages as p left join magazines m on p.fk_magazines_id = m.id where m.month=".$post['month']." and m.year=".$post['year'];
		$result = $this->sqlQueryArray($get_page_count);

		if(empty($result[0]->page_number)){
			$page_number = 1;
		}else{
			$page_number = ++$result[0]->page_number;
		}
		
		$is_month_exist = "select id,month,year from magazines m where m.month={$post['month']} and m.year={$post['year']}";
		$month_result = $this->sqlQueryArray($is_month_exist);
		
		if(empty($month_result)){
			$is_month_exist = '';
		}else{
			$is_month_exist = $month_result[0]->month;
			$is_year_exist = $month_result[0]->year;
			$magazine_id = $month_result[0]->id;
		}
		
		// GET STATUS OF UPLOAD MONTH AND YEAR
		$sql = "SELECT `is_published` FROM magazines WHERE year = {$post['year']} and month = {$post['month']}";
		$published = $this->sqlQueryArray($sql);
		if($published[0]->is_published == 0){// Unpublish
			
			$destin_path = "uploads/".$post['year']."/".$post['month']."/content/original/";
			$path_parts = pathinfo($_FILES["image_input"]["name"]);
			$extension = $path_parts['extension'];
			createUploadDirectory($destin_path,0777,true);
			move_uploaded_file($_FILES['image_input']['tmp_name'],$destin_path."page".$page_number.".".$extension);
			
			$this->image_upload(786,1185,$_FILES,$post,'medium',$page_number);
			$this->image_upload(841,1298,$_FILES,$post,'pages',$page_number);
			$this->image_upload(101,156,$_FILES,$post,'thumbs',$page_number);
			
			$page_content = file_get_contents("uploads/page.html");
			$page_content = str_ireplace('{SEARCH_TEXT}',$post['description'],$page_content);
			$page_content = str_ireplace('{PAGE_TITLE}',$post['page_title'],$page_content);
			
			if (!file_exists('page'.$page_number.'.html')) { 
				$html_destin_path = "uploads/".$post['year']."/".$post['month']."/WebSearch/";
				createUploadDirectory($html_destin_path,0777,true);
				$handle = fopen($html_destin_path.'page'.str_pad($page_number, 4, '0', STR_PAD_LEFT).'.html','w+'); 
				fwrite($handle,$page_content); 
				fclose($handle); 
			}
		
			if($is_month_exist != $post['month'] && $is_year_exist != $post['year']){
				$insert_sql = "insert into magazines set month=".$post['month'].",
														year=".$post['year'].",
														is_published=0,
														date_created='".date("Y-m-d H:i:s")."'";
				// die($insert_sql);
				$result = 	$this->insertInto($insert_sql);
				$inserted_id = $this->sqlInsertId();
			}else{
				$inserted_id = $magazine_id;
			}
			$insert_sql = "insert into pages set  fk_magazines_id = '".$inserted_id."',
													title = '".$post['page_title']."',
													description = '".$post['description']."',
													page_number = '".$page_number."',
													date_created = '".date("Y-m-d H:i:s")."'";
			$result = 	$this->insertInto($insert_sql);
			
			$inserted_id = $this->sqlInsertId();
			
			if ($result)				
				return $inserted_id;
			else
				return false;
		}
		else
			return false;
	}

	function getPageList($data_array){
		$data_array = escapeSpecialCharacters($data_array);
		$sql = "select SQL_CALC_FOUND_ROWS  *,p.id as p_id,m.id as m_id from pages p left join magazines m on m.id=p.fk_magazines_id where 1";
		
		if(isset($data_array['month']) && $data_array['month'] != '')
			$sql .=	" and m.month = ".$data_array['month'];
		
		if(isset($data_array['year']) && $data_array['year'] != '')
			$sql .=	" and m.year = ".$data_array['year'];
		
		if(isset($data_array['published']) && $data_array['published'] != '')
			$sql .=	" and m.is_published = ".$data_array['published'];
		
		if(isset($data_array['page_title_filter']) && $data_array['page_title_filter'] != '')
			$sql .=	" and title like '%".$data_array['page_title_filter']."%' ";
		
		$sql.=	" limit ".(($data_array['curpage']-1)*$data_array['perpage']).",".$data_array['perpage'];
		$result = 	$this->sqlQueryArray($sql);
		if (count($result) == 0) return false;
		return $result;
	}

	function updatePage($post,$id)
	{
		$post = escapeSpecialCharacters($post);	
		$page_number = $post['page_number'];
		
		$destin_path = "uploads/".$post['year']."/".$post['month']."/content/original/";
		$path_parts = pathinfo($_FILES["image_input"]["name"]);
		$extension = $path_parts['extension'];
		createUploadDirectory($destin_path,0777,true);
		move_uploaded_file($_FILES['image_input']['tmp_name'],$destin_path."page".$page_number.".".$extension);
		$this->image_upload(786,1185,$_FILES,$post,'medium',$page_number);
		$this->image_upload(841,1298,$_FILES,$post,'pages',$page_number);
		$this->image_upload(101,156,$_FILES,$post,'thumbs',$page_number);
		
		$page_content = file_get_contents("uploads/page.html");
		$page_content = str_ireplace('{SEARCH_TEXT}',$post['description'],$page_content);
		$page_content = str_ireplace('{PAGE_TITLE}',$post['page_title'],$page_content);
		
		if (!file_exists('page'.$page_number.'.html')) { 
			$html_destin_path = "uploads/".$post['year']."/".$post['month']."/WebSearch/";
			createUploadDirectory($html_destin_path,0777,true);
			$handle = fopen($html_destin_path.'page'.str_pad($page_number, 4, '0', STR_PAD_LEFT).'.html','w+'); 
			fwrite($handle,$page_content); 
			fclose($handle); 
		}

		$update_sql = "update pages set  title = '".$post['page_title']."',
												description = '".$post['description']."',
												date_created = '".date("Y-m-d H:i:s")."',
												date_modified = '".date("Y-m-d H:i:s")."' where id = ".$id;
		$result = 	$this->updateInto($update_sql);
		
		if ($result) 
			return true;
		else
			return false;
	}
	
	function changePublishStatus($id,$status){
		$update_sql = "update magazines set  is_published =".$status;
		
		if($status=1)
			$update_sql .= ", date_published='".date("Y-m-d H:i:s")."'";
		
		$update_sql .= " where id=".$id;
		$result = 	$this->updateInto($update_sql);
		
		if ($result) 
			return true;
		else
			return false;
	}
	function deletePage($id){
		$page_number = "select p.page_number,m.month,m.date_created from pages as p left join magazines m on m.id=p.fk_magazines_id where p.id=".$id;
		$page_number = $this->sqlQueryArray($page_number);
		
		$sql = "delete from pages where id=".$id;
		$result = $this->sqlQuery($sql);

		if($result) 
			return $page_number;
		else
			return false;
	}

	function getPageDetails($id){
		$sql = "select *,p.id as p_id,m.id as m_id from pages p left join magazines m on m.id=p.fk_magazines_id where p.id=".$id;
		$result = $this->sqlQueryArray($sql);
		$result = unEscapeObjectSpecialCharacters($result);

		if(count($result) == 0) return false;
		return $result;
	}
	
	function getCurrentPubMonth(){
		$sql = "select * from magazines where is_published=1";
		$result = $this->sqlQueryArray($sql);
		$result = unEscapeObjectSpecialCharacters($result);

		if(count($result) == 0) return false;
		return $result;
	}
	
	function getPublishedPages(){
		$sql = "select *,p.id as p_id,m.id as m_id from pages p left join magazines m on m.id=p.fk_magazines_id where m.is_published=1";
		$result = $this->sqlQueryArray($sql);
		$result = unEscapeObjectSpecialCharacters($result);

		if(count($result) == 0) return false;
		return $result;
	}
	
	function getArchivedMonths(){
		$sql = "select month from magazines where is_published=2";
		$result = $this->sqlQueryArray($sql);
		$result = unEscapeObjectSpecialCharacters($result);

		if(count($result) == 0) return false;
		return $result;
	}
	
	function deleteMagazine($id){
		$month = "select month,date_created from magazines where id=".$id;
		$month = $this->sqlQueryArray($month);
		
		$sql = "delete from pages where fk_magazines_id=".$id;
		$result = $this->sqlQuery($sql);

		$sql = "delete from magazines where id=".$id;
		$result = $this->sqlQuery($sql);

		if($result) 
			return $month;
		else
			return false;
	}
	
	function getInvalidMonths($year){
		
		$sql = "SELECT GROUP_CONCAT(`month`) as months FROM  `magazines` WHERE  `is_published` != 0 AND `year` = {$year}";
		
		$result = $this->sqlQueryArray($sql);

		if($result) 
			return $result;
		else
			return false;
	}
	
}
?>