<?php
	ob_start();
	if (!session_id()) session_start();
	if(!isset($_SESSION['admin_id'])) {
		header('Location:index.php');
		die();
	}
	require_once('Includes/AdminCommonIncludes.php');
    require_once('Controllers/AdminController.php');
    require_once('Controllers/UnpublishedController.php');
    $AdminControllerObj = new AdminController();
    $UnpublishedControllerObj = new UnpublishedController();
	
	$msg = '';
	
	if(isset($_GET['add_msg']) && $_GET['add_msg'] == 1){
		$msg = "Page added successfully";
	}else if(isset($_GET['up_msg']) && $_GET['up_msg'] == 1){
		$msg = "Page updated successfully";
	}
	
	if(isset($_GET['del_id']) && $_GET['del_id'] != ''){
		$is_delete = $UnpublishedControllerObj->deleteMagazine($_GET['del_id']);
		$month = $is_delete[0]->month;
		$year = date('Y',strtotime($is_delete[0]->date_created));
		$src_path = ABS_PATH.'uploads/'.$year.'/'.$month.'/';
		remove_dir($src_path);
		if($is_delete)
			$msg = "Page deleted successfully";
	}
	
	if( isset( $_GET['cs'] ) && $_GET['cs'] == 1) {
		unset($_SESSION['pastor_name_filter']);
		unset($_SESSION['church_name_filter']);
		unset($_SESSION['church_address_filter']);
		destroyPagingControlsVariables();
	}

	if(isset($_POST['filter_submit']) && $_POST['filter_submit'] != ''){
		if(!isset($_GET['cs'])){
			unset($_SESSION['pastor_name_filter']);
			unset($_SESSION['church_name_filter']);
			unset($_SESSION['church_address_filter']);
		}
		
		if(isset($_POST['pastor_name_filter']) && trim($_POST['pastor_name_filter']) != '')
			$_SESSION['pastor_name_filter'] = trim($_POST['pastor_name_filter']);
		if(isset($_POST['church_name_filter']) && trim($_POST['church_name_filter']) != '')
			$_SESSION['church_name_filter'] = trim($_POST['church_name_filter']);
		if(isset($_POST['church_address_filter']) && trim($_POST['church_address_filter']) != '')
			$_SESSION['church_address_filter'] = trim($_POST['church_address_filter']);
		destroyPagingControlsVariables();
	}
	setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
	
	if( isset( $_SESSION['pastor_name_filter'] ) && $_SESSION['pastor_name_filter'] != '' ) {
		$data_arr['pastor_name_filter']	=	$_SESSION['pastor_name_filter'];
	}
	
	if( isset( $_SESSION['church_name_filter'] ) && $_SESSION['church_name_filter'] != '' ) {
		$data_arr['church_name_filter']	=	$_SESSION['church_name_filter'];
	}
	
	if( isset( $_SESSION['church_address_filter'] ) && $_SESSION['church_address_filter'] != '' ) {
		$data_arr['church_address_filter']	=	$_SESSION['church_address_filter'];
	} 

	if( isset( $_SESSION['orderby'] ) && $_SESSION['orderby'] != '' && isset( $_SESSION['ordertype'] ) && $_SESSION['ordertype'] != '' ) {
		$data_arr['orderby']	=	$_SESSION['orderby'];
		$data_arr['ordertype']	=	$_SESSION['ordertype'];
	}
	
	if( isset( $_SESSION['curpage'] ) && $_SESSION['curpage'] != '' && isset( $_SESSION['perpage'] ) && $_SESSION['perpage'] != '' ) {
		$data_arr['curpage']	=	$_SESSION['curpage'];
		$data_arr['perpage']	=	$_SESSION['perpage'];
	} else {
		$_SESSION['curpage'] = $current_page	=	isset($_POST['cur_page']) ?  $_POST['cur_page'] : 1;
		$_SESSION['perpage'] = $per_page	=	isset($_POST['per_page']) ?  $_POST['per_page'] : ADMIN_PER_PAGE_LIMIT;
		$data_arr	=	array(
								'curpage'=>$current_page,
								'perpage'=>$per_page
						);
	}
	$data_arr['status'] = 0;
	
	$magazines_list	= $UnpublishedControllerObj->getMagazineList($data_arr);
	$magazines_list	= unEscapeObjectSpecialCharacters($magazines_list);
	$magazine_array = array();
	$magazineIds 	= '';
	if(isset($magazines_list) && is_array($magazines_list) && count($magazines_list) > 0) {
		foreach($magazines_list as $mkey=>$mvalue) {
			
			if($mvalue->pages > 0)
				$magazineIds .= $mvalue->id.',';
			else
				unset($magazines_list[$mkey]);
		}
		if(!empty($magazineIds)) {
			$magazineIds = substr($magazineIds,0,-1);
		}
		$pagesCount	= $UnpublishedControllerObj->getMagazinePageCount($magazineIds);
		if(!empty($pagesCount) && is_array($pagesCount) && count($pagesCount) > 0) {
			foreach($pagesCount as $pkey=>$pvalue) {
				$magazine_array[$pvalue->fk_magazines_id] = $pvalue->pagecount;
			}
		}
	}
	/*
	echo '----'.$magazineIds;
	echo '<pre>';
	print_r($magazine_array);
	echo '</pre>';
	*/
	$rows			=	$AdminControllerObj->getTotalRecordCount();
	headerInclude();
?>
<div id="content">
	<h4>Unpublished list</h4>
	<!--<article>
		<div class="border_manage">
			<form name="pastor_filter" id="pastor_filter" method="POST">
				<table cellpadding="10" cellspacing="10" border="0" width="100%">
					<tr>
						<td width="33%">
							<label>Pastor Name</label>
							<span>:</span>
							<input type="text" name="pastor_name_filter" id="pastor_name_filter" value="<?php if(isset($_SESSION['pastor_name_filter']) && $_SESSION['pastor_name_filter'] != '') echo $_SESSION['pastor_name_filter']; ?>">
						</td>
						<td width="33%">
							<label>Church Name</label>
							<span>:</span>
							<input type="text" name="church_name_filter" id="church_name_filter" value="<?php if(isset($_SESSION['church_name_filter']) && $_SESSION['church_name_filter'] != '') echo $_SESSION['church_name_filter']; ?>">
						</td>
						<td width="33%">
							<label>Church Address</label>
							<span>:</span>
							<input type="text" name="church_address_filter" id="church_address_filter" value="<?php if(isset($_SESSION['church_address_filter']) && $_SESSION['church_address_filter'] != '') echo $_SESSION['church_address_filter']; ?>">
						</td>
					</tr>
					<tr><td height="20"></td></tr>
					<tr>
						<td colspan="3" class="center_btn"style="text-align:center;">
							<input type="submit"  name="filter_submit" id="filter_submit" value="Search">
						</td>
					</tr>
				</table>
			</form>
		</div>
	</article>-->
	<article>
		<a href="page" title="Add Page" class="add_past btn"><i class="fa fa-plus-circle" aria-hidden="true"></i>Add Page</a>
		<div class="success_msg"><?php echo $msg; ?></div>
	</article>
	<article class="pagination_list">
		<?php 
		if(isset($rows) && $rows != '' && $rows!= 0) { 
		?>
			<span class="noof_user"><?php echo "<strong>".$rows."</strong> Magazine(s)"; ?></span>
		<?php
			$action="unpublished-list";
			pagingControl($rows,$action); 
		} ?>
		<div class="clear"></div>
	</article>

	<article>
		<table cellpadding="10" cellspacing="10" border="0" width="100%" class="listing admin_user">
			<thead>
				<tr>
					<th class="hash" width="2%" align="center">#</th>
					<th class="" width="10%">Magazine month</th>
					<th width="2%" colspan='3' align="center" class="action" style="text-align:center">Action</th>
				</tr>
			</thead>
				<?php
					if(isset($magazines_list) && is_array($magazines_list) && count($magazines_list) > 0) {
						$month_ar = eval(MONTH_ARRAY);
						foreach($magazines_list as $key=>$value) {
						
						?>
							<tr>
								<td class="hash"><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td>
									<?php echo strtoupper($month_ar[$value->month])." - ". $value->year; ?>
								</td>
								<td align="center"><a href="pages-list?cs=1&month=<?php echo $value->month; ?>&year=<?php echo $value->year; ?>" title="Click to see Pages" class="edit_icon"><?php echo $magazine_array[$value->id];?> Page(s)</a></td>
								<td align="center"><span title="Publish" style="cursor:pointer" class="publish edit_icon" data-id="<?php echo $value->id; ?>"  data-month="<?php echo $value->month; ?>" data-year="<?php echo $value->year; ?>">Publish</span></td>
								
								<td align="center"><span title="Delete Pastors" class="delete_rec edit_icon" data-id = "<?php echo $value->id ?>"><i class="fa fa-trash-o fa-lg"></span></td>
				<?php
					
						}
					} else { ?>
						<tr><td colspan="9" align="center" class="no_found" style="color:red;text-align:center">No Magazine(s) found.</td></tr>
				<?php 
					}
				?>
				
		</table>
	</article>
	<article class="pagination_list">
		<?php 
		if(isset($rows) && $rows != '' && $rows!= 0) { 
		?>
			<span class="noof_user"><?php echo "<strong>".$rows."</strong> Magazine(s)"; ?></span>
		<?php
			$action="unpublished-list";
			pagingControl($rows,$action); 
		} ?>
		<div class="clear"></div>
	</article>

</div>
<script>
	$('.delete_rec').click(function(){
		var is_delete = confirm('If you delete this magazine the images of this magazine will also get deleted. \n\nAre you sure to delete this Magazine?');
		if(is_delete)
			location.href = 'unpublished-list?cs=1&del_id='+$(this).attr('data-id');
	});
</script>
 <?php footerInclude(); ?>