var field_focus = '';

//Begin: Paging 
//set the newly selected per page value
setPerPage = function(obj) {
	$("#per_page").val(obj);
	$("#cur_page").val(1);
	$("#paging").submit();
}
//set paging control values - field name to sort, sorting type, current page
setPagingControlValues = function(field_name, order_type, cur_page) {
	$("#order_by").val(field_name)
	$("#order_type").val(order_type)
	$("#cur_page").val(cur_page)
	$("#paging").submit();
}
//End: Paging

/*
 * Function  : updateTips
 * Purpose   : Display error message or tips
 * Arguments : t - text to display, elmError - id of DOM element to dispaly message 
 */
function updateTips(t,elmError,element,up_type) {
	var container = elmError + '_container';
	if ( $('#errElementId').val()) {
	 	elmError = $('#errElementId').val();
	}
	
	if(up_type == 'banner'){
		$(".banner_upload #" + elmError).html(t);
		$(".banner_upload #" + container).show();
	}else{
		$("#" + elmError).html(t);
		$("#" + container).show();
	}
	if(field_focus == '')
		field_focus = element;
	$("#errorFlag").val(1);
	
	//return false;
}

/*
 * Function :
 * Purpose  : Hide error container element
 * elmarray : dom element array
 *
 */
function hideDomElement(elmArray) {
	$.each(elmArray, function() {
		container = this + '_container';
		$('#' + container).hide();
	 });
}

/*
*	Function : checkBlank
*	Purpose	: To check the element is null or not
*/
function checkBlank(element,text,elmError) {
	if($.trim($(element).val()) == "") {
		//element.addClass('ui-state-error');
		$(element).addClass('required');
		updateTips( text + " is required.", elmError, element);
		return false;
	} else {	
		if($(field_focus).attr('id') == $(element).attr('id')){
			field_focus = '';
		}
		return true;
	}
}

function checkandSetFieldFocus()
{
	 
	if(field_focus != '')
		$(field_focus).focus();
}

//Begin: Field focus 
function fieldfocus(getField){
	if(document.getElementById(getField)){
		document.getElementById(getField).focus();
	}
}
//End : Field focus

/*
*	Function : checkRegexp
*	Purpose	: To check the element is in given format or not
*/
function checkRegexp(element,regexp,text,elmError) {
	if ( !( regexp.test( $.trim( element.val() ) ) ) ) {
		$(element).addClass('required');
		element.addClass('ui-state-error');
		updateTips(text, elmError,element);
		return false;
	} else {
		return true;
	}
}
