<?php 

/**
 * configuration variables
 * This file has constants and global variable used through out the application.
  */
/**
 * @var string  site title displayed in browser
 */
define('SITE_TITLE', 'USA Destino');

if (isset($_SERVER['HTTPS']) && ($_SERVER["HTTPS"] == 'on' ) )
	$site = 'https://';
else
	$site = 'http://';
/**
 * @var string  Absolute HTTP Path
 */
if ($_SERVER['HTTP_HOST'] == '172.21.4.101'){ // Local
	define('SITE_PATH',  $site.$_SERVER['HTTP_HOST'].'/learning/USAD017/BO/'); 
	define('MAGAZINE_PATH',  $site.$_SERVER['HTTP_HOST'].'/learning/USAD017/'); 
	define('ABS_PATH',  '/var/www/html/learning/USAD017/BO/');
	define('TEST_MODE', true);
}
else {
	define('SITE_PATH',  $site.$_SERVER['HTTP_HOST']. '/evdemo/USAD017/BO/'); 
	define('MAGAZINE_PATH',  $site.$_SERVER['HTTP_HOST'].'/evdemo/USAD017/'); 
	define('ABS_PATH',  '/home/evhosting0609/public_html/evdemo/USAD017/BO/');	
	define('TEST_MODE', true);
}

define('ADMIN_SITE_PATH',  SITE_PATH.'');

define('STYLE_PATH', SITE_PATH.'WebResources/styles/');
define('ADMIN_STYLE_PATH', SITE_PATH.'WebResources/styles/admin/');

define('SCRIPT_PATH', SITE_PATH.'WebResources/scripts/');
define('ADMIN_SCRIPT_PATH', SITE_PATH.'WebResources/scripts/admin/');

define('IMAGE_PATH', SITE_PATH.'WebResources/images/');
define('ABS_IMAGE_PATH', ABS_PATH.'WebResources/images/');

define('ADMIN_IMAGE_PATH', SITE_PATH.'WebResources/images/admin/');
define('ABS_ADMIN_IMAGE_PATH', ABS_PATH.'WebResources/images/admin/');

define('ADMIN_UPLOAD_PATH', SITE_PATH.'WebResources/uploads/');
define('ABS_ADMIN_UPLOAD_PATH', ABS_PATH.'WebResources/uploads/');

date_default_timezone_set('UTC');
define('DATE_TIME_FORMAT','d-m-Y h:i A');
define('DATE_FORMAT','d-m-Y');

define('ADMIN_PER_PAGE_LIMIT', 10);
//$admin_per_page_array = array(5,10,15,20,25,30);
$admin_per_page_array = array(5,10,20,50);
define('ADMIN_PER_PAGE_ARRAY', 'return ' . var_export($admin_per_page_array, 1) . ';');//define constant array

$month_ar = array(1=>'January',2=>'February',3=>'March',4=>'April',5=>'May',6=>'June',7=>'July',8=>'August',9=>'September',10=>'October',11=>'November',12=>'December');
define('MONTH_ARRAY', 'return ' . var_export($month_ar, 1) . ';');//define constant array

/* oauth2 client constants */
define('CLIENT_ID', '8cc8c86a9f6063a55d40fe9af08994e41eedc97e');
define('CLIENT_SECRET', 'bd5dc94f53168853340dbb8f2c7e8a46230e8a71');
?>
