<?php
	ob_start();
	if (!session_id()) session_start();
	if(!isset($_SESSION['admin_id'])) {
		header('Location:index.php');
		die();
	}
	require_once('Includes/AdminCommonIncludes.php');
    require_once('Controllers/AdminController.php');
    require_once('Controllers/UnpublishedController.php');
    $AdminControllerObj = new AdminController();
    $UnpublishedControllerObj = new UnpublishedController();
	
	$msg = '';
	$month_ar = eval(MONTH_ARRAY);
	
	if(isset($_GET['add_msg']) && $_GET['add_msg'] == 1){
		$msg = "Page added successfully";
	}else if(isset($_GET['up_msg']) && $_GET['up_msg'] == 1){
		$msg = "Page updated successfully";
	}
	
	if(isset($_GET['del_id']) && $_GET['del_id'] != ''){
		$is_delete = $UnpublishedControllerObj->deletePage($_GET['del_id']);
		
		$page_number = $is_delete[0]->page_number;
		$month = $is_delete[0]->month;
		// $year = date('Y',strtotime($is_delete[0]->date_created));
		$year = $_GET['year'];
		$src_path = ABS_PATH.'uploads/'.$year.'/'.$month.'/content/medium/page'.$page_number.'.jpg';
		deleteFile($src_path);                             
		$src_path = ABS_PATH.'uploads/'.$year.'/'.$month.'/content/pages/page'.$page_number.'.jpg';
		deleteFile($src_path);                             
		$src_path = ABS_PATH.'uploads/'.$year.'/'.$month.'/content/thumbs/thumb'.$page_number.'.jpg';
		deleteFile($src_path);                             
		$src_path = ABS_PATH.'uploads/'.$year.'/'.$month.'/content/original/page'.$page_number.'.jpg';
		deleteFile($src_path);
		$src_path = ABS_PATH.'uploads/'.$year.'/'.$month.'/WebSearch/page'.str_pad($page_number, 4, '0', STR_PAD_LEFT).'.html';
		deleteFile($src_path);
		// remove_dir($src_path);
		if($is_delete)
			$msg = "Page deleted successfully";
	}
	
	if( isset( $_GET['cs'] ) && $_GET['cs'] == 1) {
		unset($_SESSION['page_title_filter']);
		unset($_SESSION['description_filter']);
		destroyPagingControlsVariables();
	}

	if(isset($_POST['filter_submit']) && $_POST['filter_submit'] != ''){
		if(!isset($_GET['cs'])){
			unset($_SESSION['page_title_filter']);
			unset($_SESSION['description_filter']);
			unset($_SESSION['church_address_filter']);
		}
		
		if(isset($_POST['page_title_filter']) && trim($_POST['page_title_filter']) != '')
			$_SESSION['page_title_filter'] = trim($_POST['page_title_filter']);
		if(isset($_POST['description_filter']) && trim($_POST['description_filter']) != '')
			$_SESSION['description_filter'] = trim($_POST['description_filter']);
		destroyPagingControlsVariables();
	}
	setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
	
	if( isset( $_SESSION['page_title_filter'] ) && $_SESSION['page_title_filter'] != '' ) {
		$data_arr['page_title_filter']	=	$_SESSION['page_title_filter'];
	}
	
	if( isset( $_SESSION['description_filter'] ) && $_SESSION['description_filter'] != '' ) {
		$data_arr['description_filter']	=	$_SESSION['description_filter'];
	}
	
	if( isset( $_SESSION['orderby'] ) && $_SESSION['orderby'] != '' && isset( $_SESSION['ordertype'] ) && $_SESSION['ordertype'] != '' ) {
		$data_arr['orderby']	=	$_SESSION['orderby'];
		$data_arr['ordertype']	=	$_SESSION['ordertype'];
	}
	
	if( isset( $_SESSION['curpage'] ) && $_SESSION['curpage'] != '' && isset( $_SESSION['perpage'] ) && $_SESSION['perpage'] != '' ) {
		$data_arr['curpage']	=	$_SESSION['curpage'];
		$data_arr['perpage']	=	$_SESSION['perpage'];
	} else {
		$_SESSION['curpage'] = $current_page	=	isset($_POST['cur_page']) ?  $_POST['cur_page'] : 1;
		$_SESSION['perpage'] = $per_page	=	isset($_POST['per_page']) ?  $_POST['per_page'] : ADMIN_PER_PAGE_LIMIT;
		$data_arr	=	array(
								'curpage'=>$current_page,
								'perpage'=>$per_page
						);
	}
	$data_arr['month'] 		= $_GET['month'];
	$data_arr['year'] 		= $_GET['year'];
	$data_arr['published'] 	= $_GET['published'];

	$pages_list 	= $UnpublishedControllerObj->getPageList($data_arr);
	$pages_list		= unEscapeObjectSpecialCharacters($pages_list);
	$rows			= $AdminControllerObj->getTotalRecordCount();
	headerInclude();
?>
<div id="content">
	<!--<article>
		<div class="border_manage">
			<form name="pastor_filter" id="pastor_filter" method="POST">
				<table cellpadding="10" cellspacing="10" border="0" width="100%">
					<tr>
						<td width="33%">
							<label>Page Title</label>
							<span>:</span>
							<input type="text" name="pastor_name_filter" id="pastor_name_filter" value="<?php if(isset($_SESSION['page_title_filter']) && $_SESSION['page_title_filter'] != '') echo $_SESSION['page_title_filter']; ?>">
						</td>
						<td width="33%">
							<label>Description</label>
							<span>:</span>
							<input type="text" name="description_filter" id="description_filter" value="<?php if(isset($_SESSION['description_filter']) && $_SESSION['description_filter'] != '') echo $_SESSION['description_filter']; ?>">
						</td>
					</tr>
					<tr><td height="20"></td></tr>
					<tr>
						<td colspan="2" class="center_btn"style="text-align:center;">
							<input type="submit"  name="filter_submit" id="filter_submit" value="Search">
						</td>
					</tr>
				</table>
			</form>
		</div>
	</article>-->
	<?php 
	if(isset($_GET['month'])){
	?>
		<h4>
			<?php if($_GET['published'] == 2) echo 'Archive - '; else echo 'Unpublished - ';?>
			<?php echo strtoupper($month_ar[$_GET['month']])." - ".$_GET['year']; ?>
		</h4>
	<?php
	}
	$qparams = '';
	if($_GET['published'] != 2){
		if(isset($_GET['month']) && !empty($_GET['month'])) $qparams = "?month=".$_GET['month'];
		if(isset($_GET['year']) && !empty($_GET['year'])) $qparams .= "&year=".$_GET['year'];
	?>
		<article>
			<a href="page<?php echo $qparams;?>" title="Add Page" class="add_past btn"><i class="fa fa-plus-circle" aria-hidden="true"></i>Add Page</a>
			<div class="success_msg"><?php echo $msg; ?></div>
		</article>
	<?php
	}
	?>
	
	<article class="pagination_list">
		<?php 
		if(isset($rows) && $rows != '' && $rows!= 0) { 
		?>
			<span class="noof_user"><?php echo "<strong>".$rows."</strong> Page(s)"; ?></span>
		<?php
			$queryparams = '';
			if(isset($_GET['month']) && !empty($_GET['month'])) $queryparams = "month=".$_GET['month'];
			if(isset($_GET['year']) && !empty($_GET['year'])) $queryparams .= "&year=".$_GET['year'];
			if(isset($_GET['published']) && !empty($_GET['published'])) $queryparams .= "&published=".$_GET['published'];
			$action="pages-list?".$queryparams;
			$year = date('Y');
			pagingControl($rows,$action); 
		} ?>
		<div class="clear"></div>
	</article>

	<article>
		<table cellpadding="10" cellspacing="10" border="0" width="100%" class="listing admin_user">
			<thead>
				<tr>
					<th class="hash" width="2%" align="center">#</th>
					<th class="" width="10%">Magazine Title</th>
					<th class="" width="10%">Description</th>
					<th class="" width="10%">Image</th>
					<?php
					if($_GET['published'] != 2){
					?>
					<th width="2%" colspan='3' align="center" class="action" style="text-align:center">Action</th>
					<?php
					}
					?>
				</tr>
			</thead>
				<?php
					if(isset($pages_list) && is_array($pages_list) && count($pages_list) > 0) {
						
						foreach($pages_list as $key=>$value) {
							// $year = date('Y',strtotime($value->date_created));
							$year = $_GET['year'];
						?>
							<tr>
								<td class="hash"><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td>
									<?php echo $value->title; ?>
								</td>
								<td>
									<?php echo $value->description; ?>
								</td>
								<td>
									<?php
									if($value->is_published == 2)
										$thumb_img = SITE_PATH.'Archive/'.$year.'/'.$_GET['month']."/content/thumbs/thumb".$value->page_number.".jpg";
									else if($value->is_published == 0)
										$thumb_img = SITE_PATH.'uploads/'.$year.'/'.$_GET['month']."/content/thumbs/thumb".$value->page_number.".jpg";
									?>
									<img src="<?php echo $thumb_img; ?>">
								</td>
								<?php
								if($_GET['published'] != 2){
								?>
								<td align="center"><a href="page?edit_id=<?php echo $value->p_id; ?>" title="Edit Page" class="edit_icon"><i class="fa fa-pencil fa-lg"></i></a></td>
								
								<td align="center"><span title="Delete Page" class="delete_rec edit_icon" data-id = "<?php echo $value->p_id ?>"><i class="fa fa-trash-o fa-lg"></span></td>
								<?php
								}
								?>
				<?php
						}
					} else { ?>
						<tr><td colspan="9" align="center" class="no_found" style="color:red;text-align:center">No Page(s) found.</td></tr>
				<?php 
					}
				?>
				
		</table>
	</article>
	<article class="pagination_list">
		<?php 
		if(isset($rows) && $rows != '' && $rows!= 0) { 
		?>
			<span class="noof_user"><?php echo "<strong>".$rows."</strong> Page(s)"; ?></span>
		<?php
			$action="pages-list";
			pagingControl($rows,$action); 
		} ?>
		<div class="clear"></div>
	</article>

</div>
<script>
	$('.delete_rec').click(function(){
		var is_delete = confirm('Are you sure to delete this Page?');
		if(is_delete)
			location.href = 'pages-list?cs=1&month=<?php echo $_GET['month']; ?>&year=<?php echo $_GET['year']; ?>&del_id='+$(this).attr('data-id');
	});
</script>
 <?php footerInclude(); ?>