<?php
	ob_start();
	if (!session_id()) session_start();
	if(!isset($_SESSION['admin_id'])) {
		header('Location:index.php');
		die();
	}
	require_once('Includes/AdminCommonIncludes.php');
    require_once('Controllers/AdminController.php');
    require_once('Controllers/UnpublishedController.php');
    $AdminControllerObj = new AdminController();
    $UnpublishedControllerObj = new UnpublishedController();
	
	$msg = '';
	$month_ar = eval(MONTH_ARRAY);
	
	if(isset($_POST['order_by']))
		$_SESSION['orderby'] = $_POST['order_by'];
	if(isset($_POST['order_type']))
		$_SESSION['ordertype'] = $_POST['order_type'];
	$data	=	array();
	if( isset( $_GET['cs'] ) && $_GET['cs'] == 1) {
		destroyPagingControlsVariables();
		unset($_SESSION['session_page_title_filter']);
	}
	
	if( isset( $_POST['filter_submit'] ) && $_POST['filter_submit'] != '' ) {
		if(!isset($_GET['cs'])) {
			unset($_SESSION['session_page_title_filter']);
		}
		if( isset( $_POST['page_title_filter'] ) && trim($_POST['page_title_filter']) != '') 
			$_SESSION['session_page_title_filter']	=	trim($_POST['page_title_filter']);
		destroyPagingControlsVariables();
	}
	setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
    
	if( isset( $_SESSION['session_page_title_filter'] ) && $_SESSION['session_page_title_filter'] != '' )
		$data_arr['page_title_filter']	=	$_SESSION['session_page_title_filter'];
	
	if( isset( $_SESSION['orderby'] ) && $_SESSION['orderby'] != '' && isset( $_SESSION['ordertype'] ) && $_SESSION['ordertype'] != '' ) {
		$data_arr['orderby']	=	$_SESSION['orderby'];
		$data_arr['ordertype']	=	$_SESSION['ordertype'];
	} 
	if( isset( $_SESSION['curpage'] ) && $_SESSION['curpage'] != '' && isset( $_SESSION['perpage'] ) && $_SESSION['perpage'] != '' ) {
		$data_arr['curpage']	=	$_SESSION['curpage'];
		$data_arr['perpage']	=	$_SESSION['perpage'];
	} else {
		$current_page	=	isset($_POST['cur_page']) ?  $_POST['cur_page'] : 1;
		$per_page	=	isset($_POST['per_page']) ?  $_POST['per_page'] : ADMIN_PER_PAGE_LIMIT;
		$data_arr	=	array(
								'curpage'=>$current_page,
								'perpage'=>$per_page
						);
	}
	$data_arr['published'] = '1';
	
	$pages_list 		= $UnpublishedControllerObj->getPageList($data_arr);
	$pages_list			= unEscapeObjectSpecialCharacters($pages_list);
	$rows				= $AdminControllerObj->getTotalRecordCount();
	$current_pub_month 	= $UnpublishedControllerObj->getCurrentPubMonth();
	$current_pub_month 	= $current_pub_month[0];
	headerInclude();
?>
<div id="content" class="body category">
	<h4><?php echo strtoupper($month_ar[$current_pub_month->month]). ' ' .$current_pub_month->year; ?><br><br></h4>
	<article>
		<div class="user_filter app_user">
			<form name="page_filter_form" class="form_border" id="page_filter_form" action="" method="post">
				<table cellpadding="10" cellspacing="10" border="0" width="100%">
					<tr>
						<td width="33%">
							<label style="margin-top:6px">Magazine Title</label>
							<span>:</span>
							<input type="text" name="page_title_filter" id="page_title_filter" value="<?php if(isset($_SESSION['session_page_title_filter']) && $_SESSION['session_page_title_filter'] != '') echo $_SESSION['session_page_title_filter']; ?>">
						</td>
						<td width="33%">
							<input type="submit"  name="filter_submit" id="filter_submit" value="Search" title="Search">
						</td>
						<td colspan="2" class="center_btn"style="text-align:center;">
						</td>
					</tr>
				</table>
			</form>
		</div>
	</article>
	<article>
		<div class="success_msg"><?php echo $msg; ?></div>
	</article>
	<article class="pagination_list">
		<?php 
		if(isset($rows) && $rows != '' && $rows!= 0) { 
		?>
			<span class="noof_user"><?php echo "<strong>".$rows."</strong> Page(s)"; ?></span>
		<?php
			$action="published-list";
			pagingControl($rows,$action); 
		} ?>
		<div class="clear"></div>
	</article>

	<article>
		<table cellpadding="10" cellspacing="10" border="0" width="100%" class="listing admin_user">
			<thead>
				<tr>
					<th class="hash" width="2%" align="center">#</th>
					<th class="" width="10%">Magazine Title</th>
					<th class="" width="10%">Description</th>
					<th class="" width="10%">Image</th>
					<!--<th width="2%" colspan='3' align="center" class="action" style="text-align:center">Action</th>-->
				</tr>
			</thead>
				<?php
					if(isset($pages_list) && is_array($pages_list) && count($pages_list) > 0) {
						
						foreach($pages_list as $key=>$value) {
						?>
							<tr>
								<td class="hash"><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td>
									<?php echo $value->title; ?>
								</td>
								<td>
									<?php echo $value->description; ?>
								</td>
								<td>
									<img src="<?php echo MAGAZINE_PATH."content/thumbs/thumb".$value->page_number.".jpg?rand=".rand(); ?>">
								</td>
								<!--<td align="center"><a href="page?edit_id=<?php echo $value->p_id; ?>" title="Edit Page" class="edit_icon"><i class="fa fa-pencil fa-lg"></i></a></td>
								
								<td align="center"><span title="Delete Page" class="delete_rec edit_icon" data-id = "<?php echo $value->p_id ?>"><i class="fa fa-trash-o fa-lg"></span></td>-->
				<?php
						}
					} else { ?>
						<tr><td colspan="9" align="center" class="no_found" style="color:red;text-align:center">No Page(s) found.</td></tr>
				<?php 
					}
				?>
				
		</table>
	</article>
	<article class="pagination_list">
		<?php 
		if(isset($rows) && $rows != '' && $rows!= 0) { 
		?>
			<span class="noof_user"><?php echo "<strong>".$rows."</strong> Page(s)"; ?></span>
		<?php
			$action="published-list";
			pagingControl($rows,$action); 
		} ?>
		<div class="clear"></div>
	</article>
</div>
<script>
$(document).ready(function() {

	/* This is basic - uses default settings */
	
	//$("a#single_image").fancybox();
	
	/* Using custom settings */
	
	//$("a#inline").fancybox({
	//	'hideOnContentClick': true
	//});

	/* Apply fancybox to multiple items */
	
	$("a.grouped_elements").fancybox({
		'transitionIn'	:	'elastic',
		'transitionOut'	:	'elastic',
		'speedIn'		:	600, 
		'speedOut'		:	200, 
		'overlayShow'	:	false
	});
	
});
</script>
 <?php footerInclude(); ?>